%define anolis_release 2
%global gtk3_version    %(pkg-config --modversion gtk+-3.0 2>/dev/null || echo bad)
%global gtk4_version    %(pkg-config --modversion gtk4 2>/dev/null || echo bad)
%global glib2_version   %(pkg-config --modversion glib-2.0 2>/dev/null || echo bad)
%global nm_version      1:1.16.0
%global libnma_version  1.10.6

%bcond_with libnma_gtk4

%bcond_without appindicator

Summary: Tray applet and an advanced network connection editor
Name: network-manager-applet
Version: 1.30.0
Release: %{anolis_release}%{?dist}
License: GPLv2+
URL: http://www.gnome.org/projects/NetworkManager/

Source: https://download.gnome.org/sources/%{name}/1.30/%{name}-%{version}.tar.xz

Patch1: 0001-nm-applet-no-notifications.patch
Patch2: 0002-appindicator-outside-X11.patch

Requires: NetworkManager >= %{nm_version}
Requires: libnotify >= 0.4.3
Requires: nm-connection-editor = %{version}-%{release}
Requires: libnma >= %{libnma_version}

BuildRequires: pkgconfig meson intltool gtk-doc desktop-file-utils
BuildRequires: /usr/bin/autopoint
BuildRequires: NetworkManager-libnm-devel >= %{nm_version}
BuildRequires: libnma-devel >= %{libnma_version}
BuildRequires: ModemManager-glib-devel >= 1.0
BuildRequires: glib2-devel >= 2.32
BuildRequires: gtk3-devel >= 3.10
BuildRequires: gobject-introspection-devel >= 0.10.3
BuildRequires: gettext-devel

BuildRequires: gcr-devel
BuildRequires: iso-codes-devel
BuildRequires: jansson-devel
BuildRequires: libdbusmenu-gtk3-devel
BuildRequires: libgudev1-devel >= 147
BuildRequires: libnotify-devel >= 0.4
BuildRequires: libsecret-devel >= 0.12
BuildRequires: libselinux-devel
BuildRequires: mobile-broadband-provider-info-devel

%if %{with appindicator}
BuildRequires: libappindicator-gtk3-devel
%endif

%if %{with libnma_gtk4}
BuildRequires: gtk4-devel >= 3.96
%endif

Obsoletes: NetworkManager-gnome < 1:0.9.7

%description
%{name} is a graphical user interface (GUI) for the NetworkManager
service that manages network connections on Linux-based systems.
It is a small application that sits in your system tray or notification
area and provides you with an easy way to manage your network connections.

%package -n nm-connection-editor
Summary: A network connection configuration editor for NetworkManager
Requires: libnma >= %{libnma_version}

%description -n nm-connection-editor
This package contains a network configuration editor and Bluetooth modem
utility for use with NetworkManager.


%package -n nm-connection-editor-desktop
Summary: The desktop file for nm-connection-editor
Requires: nm-connection-editor = %{version}-%{release}

%description -n nm-connection-editor-desktop
This package contains the desktop file and appdata for nm-connection-editor.
Without it, the nm-connection-editor cannot be started from the desktop
environment.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%meson -Dselinux=true \
%if %{with appindicator}
    -Dappindicator=yes
%else
    -Dappindicator=no
%endif
%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_datadir}/gnome-vpn-properties

%find_lang nm-applet
cat nm-applet.lang >> %{name}.lang

# validate .desktop and autostart files
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/nm-applet.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/nm-connection-editor.desktop

%generate_compatibility_deps

%check
%meson_test

%files
%license COPYING
%dir %{abidir}
%{_bindir}/nm-applet
%{abidir}/nm-applet-option.list
%{_datadir}/applications/nm-applet.desktop
%{_datadir}/icons/hicolor/22x22/apps/nm-adhoc.png
%{_datadir}/icons/hicolor/22x22/apps/nm-mb-roam.png
%{_datadir}/icons/hicolor/22x22/apps/nm-secure-lock.png
%{_datadir}/icons/hicolor/22x22/apps/nm-signal-*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-stage*-connecting*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-tech-*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-vpn-active-lock.png
%{_datadir}/icons/hicolor/22x22/apps/nm-vpn-connecting*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-wwan-tower.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_datadir}/icons/hicolor/22x22/apps/nm-insecure-warn.png
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_mandir}/man1/nm-applet*

%files -n nm-connection-editor -f %{name}.lang
%{_bindir}/nm-connection-editor
%{_datadir}/icons/hicolor/*/apps/nm-device-*.*
%{_datadir}/icons/hicolor/*/apps/nm-no-connection.*
%{_datadir}/icons/hicolor/16x16/apps/nm-vpn-standalone-lock.png
%{_mandir}/man1/nm-connection-editor*
%dir %{_datadir}/gnome-vpn-properties

%files -n nm-connection-editor-desktop
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/metainfo/nm-connection-editor.appdata.xml

%files doc
%doc NEWS CONTRIBUTING

%changelog
* Fri Apr 14 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.30.0-2
- optimize spec file

* Sat Mar 18 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.30.0-1
- Update to 1.30.0-1

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.26.0-2
- optimise spec file

* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 1.26.0-1
- Initial build for Anolis V23
